Package org.apache.solr.client.solrj.response

## Class AnalysisResponseBase

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.AnalysisResponseBase

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `DocumentAnalysisResponse`, `FieldAnalysisResponse`

    public class AnalysisResponseBase
    extends SolrResponseBase

A base class for all analysis responses.

Since:
  solr 1.4
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AnalysisResponseBase.AnalysisPhase` A phase in the analysis process.
`static class` `AnalysisResponseBase.TokenInfo` Holds all information of a token as part of an analysis phase.

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`AnalysisResponseBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<AnalysisResponseBase.AnalysisPhase>` `buildPhases​(NamedList<Object> phaseNL)` Parses the given named list and builds a list of analysis phases form it.
`protected AnalysisResponseBase.TokenInfo` `buildTokenInfo​(NamedList<?> tokenNL)` Parses the given named list and builds a token infoform it.
`protected AnalysisResponseBase.TokenInfo` `buildTokenInfoFromString​(String value)` Convert a string value (from CharacterFilter) into a TokenInfo for its value full span.

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### AnalysisResponseBase

    public AnalysisResponseBase()

### Method Detail

#### buildPhases

    protected List<AnalysisResponseBase.AnalysisPhase> buildPhases​(NamedList<Object> phaseNL)

Parses the given named list and builds a list of analysis phases form it. Expects a named list of the form:

      <lst name="index">
          <arr name="Tokenizer">
              <str name="text">the_text</str>
              <str name="rawText">the_raw_text</str> (optional)
              <str name="type">the_type</str>
              <int name="start">1</str>
              <int name="end">3</str>
              <int name="position">1</str>
              <bool name="match">true | false</bool> (optional)
          </arr>
          <arr name="Filter1">
              <str name="text">the_text</str>
              <str name="rawText">the_raw_text</str> (optional)
              <str name="type">the_type</str>
              <int name="start">1</str>
              <int name="end">3</str>
              <int name="position">1</str>
              <bool name="match">true | false</bool> (optional)
          </arr>
          ...
      </lst>

The special case is a CharacterFilter that just returns a string, which we then map to a single token without type.

Parameters:
  `phaseNL` - The names list to parse.
Returns:
  The built analysis phases list.

#### buildTokenInfoFromString

    protected AnalysisResponseBase.TokenInfo buildTokenInfoFromString​(String value)

Convert a string value (from CharacterFilter) into a TokenInfo for its value full span.

Parameters:
  `value` - String value
Returns:
  The built token info (with type set to null)

#### buildTokenInfo

    protected AnalysisResponseBase.TokenInfo buildTokenInfo​(NamedList<?> tokenNL)

Parses the given named list and builds a token infoform it. Expects a named list of the form:

      <arr name="Tokenizer">
          <str name="text">the_text</str>
          <str name="rawText">the_raw_text</str> (optional)
          <str name="type">the_type</str>
          <int name="start">1</str>
          <int name="end">3</str>
          <int name="position">1</str>
          <bool name="match">true | false</bool> (optional)
      </arr>

Parameters:
  `tokenNL` - The named list to parse.
Returns:
  The built token info.